Create Dashboard
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Traffic overview",
"config": {
"cards": [
{
"id": "card-1",
"title": "Pageviews by day",
"sql": "SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events WHERE type='pageview' GROUP BY d ORDER BY d",
"vizType": "line",
"mapping": {
"xColumn": "d",
"yColumns": [
"views"
],
"valueFormat": "number"
},
"gridPos": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
]
}
}
EOFimport requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/dashboards"
payload = {
"name": "Traffic overview",
"config": { "cards": [
{
"id": "card-1",
"title": "Pageviews by day",
"sql": "SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events WHERE type='pageview' GROUP BY d ORDER BY d",
"vizType": "line",
"mapping": {
"xColumn": "d",
"yColumns": ["views"],
"valueFormat": "number"
},
"gridPos": {
"x": 0,
"y": 0,
"w": 6,
"h": 4
}
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Traffic overview',
config: {
cards: [
{
id: 'card-1',
title: 'Pageviews by day',
sql: 'SELECT toStartOfInterval(timestamp, INTERVAL {{bucket}}) AS d, count() AS views FROM scoped_events WHERE type=\'pageview\' GROUP BY d ORDER BY d',
vizType: 'line',
mapping: {xColumn: 'd', yColumns: ['views'], valueFormat: 'number'},
gridPos: {x: 0, y: 0, w: 6, h: 4}
}
]
}
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Dashboard
Creates a dashboard grid. Requires manage role.
POST
/
sites
/
{site}
/
dashboards
Create Dashboard
⌘I